accounts-qt: Provider Class Reference

accounts-qt 1.17

Public Member Functions | Friends | List of all members
Provider Class Reference

Representation of an account provider. More...

`#include <Accounts/Provider>`

## Public Member Functions
| Provider ()
| Construct an invalid provider.
| Provider (const Provider &other)
| Copy constructor.
Provider & | operator= (const Provider &other)
bool | isValid () const
| Check whether this object represents a Provider.
QString | name () const
| Get the name of the provider.
QString | displayName () const
| Get the display name of the provider, untranslated.
QString | description () const
| Get the description of the provider, untranslated.
QString | pluginName () const
| Get the name of the account plugin associated with the provider.
QString | trCatalog () const
QString | iconName () const
QString | domainsRegExp () const
bool | isSingleAccount () const
bool | hasTag (const QString &tag) const
| Check if this provider has a tag.
QSet< QString > | tags () const
| Return all tags of the provider as a set.
const QDomDocument | domDocument () const

## Friends
bool | operator== (const Accounts::Provider &p1, const Accounts::Provider &p2)

## Detailed Description

Representation of an account provider.

The Provider object represents an account provider. It can be used to retrieve some basic properties of the provider (such as the name) and to get access to the contents of the XML file which defines it.

Definition at line 48 of file provider.h.

## Constructor & Destructor Documentation

## ◆ Provider() [1/2]

Provider | ( |  | ) |

Construct an invalid provider.

Definition at line 57 of file provider.cpp.

## ◆ Provider() [2/2]

Provider | ( | const Provider & | other | ) |

Copy constructor.

Copying a Provider object is very cheap, because the data is shared among copies.

Definition at line 67 of file provider.cpp.

## ◆ ~Provider()

~Provider | ( |  | ) |

Definition at line 86 of file provider.cpp.

## Member Function Documentation

## ◆ description()

QString description | ( |  | ) | const

Get the description of the provider, untranslated.

Returns
  The description of the provider.

Definition at line 131 of file provider.cpp.

## ◆ displayName()

QString displayName | ( |  | ) | const

Get the display name of the provider, untranslated.

Returns
  The display name of the provider.

Definition at line 122 of file provider.cpp.

## ◆ domainsRegExp()

QString domainsRegExp | ( |  | ) | const

Returns
  A regular expression pattern which matches all the internet domains in which this type of account can be used.

Definition at line 168 of file provider.cpp.

## ◆ domDocument()

const QDomDocument domDocument | ( |  | ) | const

Returns
  The DOM of the whole XML provider file.

Definition at line 222 of file provider.cpp.

## ◆ hasTag()

bool hasTag | ( | const QString & | tag | ) | const

Check if this provider has a tag.

Parameters

  tag | Tag to look for

Returns
  Provider has the tag?

Definition at line 188 of file provider.cpp.

References Provider::tags().

## ◆ iconName()

QString iconName | ( |  | ) | const

Returns
  The provider icon name.

Definition at line 159 of file provider.cpp.

## ◆ isSingleAccount()

bool isSingleAccount | ( |  | ) | const

Returns
  Whether the provider supports creating one account at most.

Definition at line 176 of file provider.cpp.

## ◆ isValid()

bool isValid | ( |  | ) | const

Check whether this object represents a Provider.

Returns
  true if the Provider is a valid one.

Definition at line 102 of file provider.cpp.

Referenced by Provider::name().

## ◆ name()

QString name | ( |  | ) | const

Get the name of the provider.

This can be used as a unique identifier for this provider.

Returns
  The unique name of the provider.

Definition at line 112 of file provider.cpp.

References Provider::isValid().

## ◆ operator=()

Provider & operator= | ( | const Provider & | other | ) |

Definition at line 75 of file provider.cpp.

## ◆ pluginName()

QString pluginName | ( |  | ) | const

Get the name of the account plugin associated with the provider.

Some platforms might find it useful to store plugin names in the provider XML files, especially when the same plugin can work for different providers.

Returns
  The plugin name.

Definition at line 142 of file provider.cpp.

## ◆ tags()

QSet< QString > tags | ( |  | ) | const

Return all tags of the provider as a set.

Returns
  Set of tags

Definition at line 203 of file provider.cpp.

Referenced by Provider::hasTag().

## ◆ trCatalog()

QString trCatalog | ( |  | ) | const

Returns
  The name of the translation catalog, which can be used to translate the displayName().

Definition at line 151 of file provider.cpp.

## Friends And Related Function Documentation

## ◆ operator==

bool operator== | ( | const Accounts::Provider & | p1,
|  | const Accounts::Provider & | p2
| ) |  |
| friend

Definition at line 70 of file provider.h.

The documentation for this class was generated from the following files:

- Accounts/provider.h
- Accounts/provider.cpp